KDE 4.7 PyKDE API Reference

- KDE's Python API

# CSSRule Class Reference

`from PyKDE4.khtml import *`

Namespace: DOM

## Detailed Description

The CSSRule interface is the abstract base interface for any type of CSS <a href="http://www.w3.org/TR/REC-CSS2/syndata.html#q5"> statement . This includes both <a href="http://www.w3.org/TR/REC-CSS2/syndata.html#q8"> rule sets and <a href="http://www.w3.org/TR/REC-CSS2/syndata.html#at-rules"> at-rules . An implementation is expected to preserve all rules specified in a CSS style sheet, even if it is not recognized. Unrecognized rules are represented using the CSSUnknownRule interface.

## Enumerations
RuleType | { UNKNOWN_RULE, STYLE_RULE, CHARSET_RULE, IMPORT_RULE, MEDIA_RULE, FONT_FACE_RULE, PAGE_RULE, NAMESPACE_RULE, QUIRKS_RULE }
## Methods
| __init__ (self)
| __init__ (self, DOM.CSSRule other)
| assignOther (self, DOM.CSSRule other, DOM.CSSRule.RuleType thisType)
DOM.DOMString | cssText (self)
bool | isNull (self)
DOM.CSSRule | parentRule (self)
DOM.CSSStyleSheet | parentStyleSheet (self)
| setCssText (self, DOM.DOMString a0)
int | type (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.CSSRule | other
| ) |  |  |

assignOther | ( | self, |
|  | DOM.CSSRule | other,
|  | DOM.CSSRule.RuleType | thisType
| ) |  |  |

DOM.DOMString cssText | ( |  | self ) |

The parsable textual representation of the rule. This reflects the current state of the rule and not its initial value.

bool isNull | ( |  | self ) |

DOM.CSSRule parentRule | ( |  | self ) |

If this rule is contained inside another rule (e.g. a style rule inside an \@media block), this is the containing rule. If this rule is not nested inside any other rules, this returns null .

DOM.CSSStyleSheet parentStyleSheet | ( |  | self ) |

The style sheet that contains this rule.

setCssText | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see cssText DOMException

HIERARCHY_REQUEST_ERR: Raised if the rule cannot be inserted at this point in the style sheet.

NO_MODIFICATION_ALLOWED_ERR: Raised if this style sheet is readonly.

CSSException SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.

INVALID_MODIFICATION_ERR: Raised if the specified CSS string value represents a different type of rule than the current one.

int type | ( |  | self ) |

The type of the rule, as defined above. The expectation is that binding-specific casting methods can be used to cast down from an instance of the CSSRule interface to the specific derived interface implied by the type .

## Enumeration Documentation

RuleType

An integer indicating which type of rule this is.

Enumerator:

  UNKNOWN_RULE = 0 |
  STYLE_RULE = 1 |
  CHARSET_RULE = 2 |
  IMPORT_RULE = 3 |
  MEDIA_RULE = 4 |
  FONT_FACE_RULE = 5 |
  PAGE_RULE = 6 |
  NAMESPACE_RULE = 10 |
  QUIRKS_RULE = 100 |